#!/usr/bin/env python
import coral

o = coral.Set()
o.add(coral.PresentationElement)

#
# These tests just print something
# They basically test if the SWIG
# gateway can subtype on-the-fly
# from ref_counted to AbstractElementDefinition etc..
#
for i in o:
    print i.getName()
    for p in i.__properties__():
        print p.getName(), p.isBidirectional()

        
